# Form implementation generated from reading ui file 'src/eric7/MicroPython/WifiDialogs/WifiApStationsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_WifiApStationsDialog(object):
    def setupUi(self, WifiApStationsDialog):
        WifiApStationsDialog.setObjectName("WifiApStationsDialog")
        WifiApStationsDialog.resize(511, 509)
        WifiApStationsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(WifiApStationsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.stationsList = QtWidgets.QTreeWidget(parent=WifiApStationsDialog)
        self.stationsList.setAlternatingRowColors(True)
        self.stationsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.NoSelection)
        self.stationsList.setRootIsDecorated(False)
        self.stationsList.setItemsExpandable(False)
        self.stationsList.setObjectName("stationsList")
        self.verticalLayout.addWidget(self.stationsList)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=WifiApStationsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(WifiApStationsDialog)
        self.buttonBox.accepted.connect(WifiApStationsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(WifiApStationsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(WifiApStationsDialog)

    def retranslateUi(self, WifiApStationsDialog):
        _translate = QtCore.QCoreApplication.translate
        WifiApStationsDialog.setWindowTitle(_translate("WifiApStationsDialog", "Connected WiFi Clients"))
        self.stationsList.setSortingEnabled(True)
        self.stationsList.headerItem().setText(0, _translate("WifiApStationsDialog", "Name"))
        self.stationsList.headerItem().setText(1, _translate("WifiApStationsDialog", "RSSI [dBm]"))
